Updates the job_priority object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the priority |
string |
Required Max length: 50 |
| is_default |
If default, will be auto selected when creating new jobs |
boolean | |
| sequence |
Sorting field (0 first) |
integer | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating job_priority |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating job_priority |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "c899950c-2f3a-483f-905f-574c7ecc1e71",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "f1270a29-5564-45fb-aa3c-92bad26c2d3e",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "a6b88cab-70ed-4e13-b2fd-33ad71190373",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a046b22c-069a-4973-85b3-b043d7e4610c",
"db_currency_id": "6eb0ae70-f71f-4b5a-ae4b-51af013fbdb3",
"db_language_id": "6d3dc8fa-9e02-493e-9d58-7cb0f39aac77",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-03-24T07:11:10.1590738+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-03-24T07:11:10.1590738+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.